PTHREAD_MUTEX_INIT(3)

NAME
pthread_mutex_init - create a mutex

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_mutex_init(pthread_mutex_t *mutex, const pthread_mutexattr_t *attr);

DESCRIPTION
The pthread_mutex_init() function creates a new mutex, with attributes specified with attr. If attr is NULL the default attributes are used.

RETURN VALUES
If successful, pthread_mutex_init() will return zero and put the new mutex id into mutex, otherwise an error number will be returned to indicate the error.

ERRORS
The pthread_mutex_init() function will fail if:

[EINVAL]
    The value specified by attr is invalid.

[ENOMEM]
    The process cannot allocate enough memory to create another mutex.

SEE ALSO
pthread_mutexattr(3), pthread_mutex_destroy(3), pthread_mutex_lock(3), pthread_mutex_trylock(3), pthread_mutex_unlock(3)

STANDARDS
The pthread_mutex_init() function conforms to p1003.1-96.